Get usage summary + paginated events for a billing period
curl --request GET \
--url https://api.kazzle.app/api/billing/{spaceId}/usage \
--header 'Authorization: Bearer <token>'{
"totalCents": 123,
"periodStart": 123,
"periodEnd": 123,
"categories": [
{
"category": "<string>",
"totalCents": 123,
"eventCount": 123
}
],
"events": [
{
"id": "<string>",
"category": "<string>",
"eventCode": "<string>",
"costCents": 123,
"properties": "<unknown>",
"threadId": "<string>",
"createdAt": 123
}
],
"eventsTotal": 123,
"limit": 123,
"offset": 123
}Better Auth JWT token
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 90071992547409911 <= x <= 1000 <= x <= 9007199254740991curl --request GET \
--url https://api.kazzle.app/api/billing/{spaceId}/usage \
--header 'Authorization: Bearer <token>'{
"totalCents": 123,
"periodStart": 123,
"periodEnd": 123,
"categories": [
{
"category": "<string>",
"totalCents": 123,
"eventCount": 123
}
],
"events": [
{
"id": "<string>",
"category": "<string>",
"eventCode": "<string>",
"costCents": 123,
"properties": "<unknown>",
"threadId": "<string>",
"createdAt": 123
}
],
"eventsTotal": 123,
"limit": 123,
"offset": 123
}